Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.filter
Class EdrFilter

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.filter.EdrFilter

public class EdrFilter
extends Object

This class creates an EDR filter given an XML configuration file.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static boolean` | `optimized` Flag used by unit test and debug

Constructor Summary
`EdrFilter(String config, StreamSource xsd, String qName, Class c, boolean persistent)`
`EdrFilter(String configFile, String xsdFile, String qName, Class c, boolean persistent)` Constructor
`EdrFilter(URL configFile, URL xsdFile, String qName, Class c, boolean persistent)` Constructor using URL as file input

Method Summary
`ConfigDescriptor` | `findConfigDescriptorMatchingEdr(EdrData data)` Returns a filter attribute matching a particular Edr.
`List` | `getConfigDescriptors()` Returns the number of configurations that were read from the corresponding xml file.
`int` | `getDescriptorsCount()` Returns the number of descriptors available
`int` | `getImplementationsCacheSize()` Returns the size of the implementations cache
`int` | `getNonCachedDescriptors()` Returns the number of non-cached descriptors
`EdrXMLHandler` | `getXMLHandler()` Returns the XML handler of the filter
`boolean` | `isPersistent()` Returns true if the filter represents persistent objects

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optimized

    public static boolean optimized

  Flag used by unit test and debug

Constructor Detail

### EdrFilter

    public EdrFilter(String config,
                     StreamSource xsd,
                     String qName,
                     Class c,
                     boolean persistent)
              throws Exception

Throws:
  `Exception`

### EdrFilter

    public EdrFilter(String configFile,
                     String xsdFile,
                     String qName,
                     Class c,
                     boolean persistent)
              throws Exception

  Constructor

Throws:
  `Exception`

### EdrFilter

    public EdrFilter(URL configFile,
                     URL xsdFile,
                     String qName,
                     Class c,
                     boolean persistent)
              throws Exception

  Constructor using URL as file input

Throws:
  `Exception`

Method Detail

### findConfigDescriptorMatchingEdr

    public ConfigDescriptor findConfigDescriptorMatchingEdr(EdrData data)

  Returns a filter attribute matching a particular Edr.

  Parameters:
    `data` - The Edr data
  Returns:
    the filter attribute if found, null otherwise

### getConfigDescriptors

    public List getConfigDescriptors()

  Returns the number of configurations that were read from the corresponding xml file.

  Returns:
    The number of configurations in this filter

### getDescriptorsCount

    public int getDescriptorsCount()

  Returns the number of descriptors available

### getImplementationsCacheSize

    public int getImplementationsCacheSize()

  Returns the size of the implementations cache

### getNonCachedDescriptors

    public int getNonCachedDescriptors()

  Returns the number of non-cached descriptors

### getXMLHandler

    public EdrXMLHandler getXMLHandler()

  Returns the XML handler of the filter

  Returns:
    The XML handler of the filter

### isPersistent

    public boolean isPersistent()

  Returns true if the filter represents persistent objects

  Returns:
    True if the filter represents persistent objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD